<?php
// Get our Featured Content posts
$slider = mytheme_get_featured_posts();

// If we have no posts, our work is done here
if ( empty( $slider ) )
    return;
global $post;
?>
<div id="featured-content" class="flexslider">
	<ul class="jetpack-featured-posts slides">

		<?php
		foreach ( $slider as $post ) :
			setup_postdata( $post );

			if ( has_post_thumbnail() ) : ?>
					<li class="featured">
						<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'superhero' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_post_thumbnail( 'slider-img' ); ?></a>
						<div class="featured-hentry-wrap">
							<div id="post-<?php the_ID(); ?>">
								<?php the_title( '<div><h2 class="flex-caption"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2></div>' ); ?>
							</div><!-- #post-## -->
						</div><!-- .featured-hentry-wrap -->
					</li>
		<?php
		endif;
		endforeach;
		wp_reset_postdata();
		?>
	</ul><!-- .featured-posts -->
</div><!-- #featured-content -->
<script type="text/javascript" charset="utf-8">
jQuery(window).load(function() {
  jQuery('.flexslider').flexslider({
    animation: "slide",
    smoothHeight: true
  });
});
</script>
